version: "3.8"
services:
  todoninja-api:
    build:
      context: app
      target: dev
      args:
        GROUP_ID: "${GROUP_ID}"
        USER_ID: "${USER_ID}"
    volumes:
      - ..:/app
    ports:
      - "3333:3333"
    depends_on:
      - database
    environment:
      DB_CONNECTION: mysql
      MYSQL_HOST: database
      MYSQL_USER: root
      MYSQL_PASSWORD: secret
      MYSQL_DB_NAME: app
      MYSQL_PORT: 3306
      PORT: 3333
      HOST: 0.0.0.0
      NODE_ENV: development
      APP_KEY: oKFevFq-fy--uePvWrIFLgzKMNY2cXjy
    command: /bin/sh -c "while sleep 1000; do :; done"
  database:
    build:
      context: database
    volumes:
      - ./database/data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: secret
      MYSQL_DATABASE: app
  phpmyadmin:
    image: phpmyadmin/phpmyadmin:latest
    ports:
      - 8090:80
    environment:
      PMA_HOST: database
      PMA_USER: root
      PMA_PASSWORD: secret
      UPLOAD_LIMIT: 1G
    depends_on:
      - database
